Page MenuHomePhabricator

Special:UserRights should inform whether the change was successful or not
Closed, ResolvedPublic

Description

Currently, after changing the groups of a user, there is no message for the user saying that it was or wasn't successful (e.g. something similar to how Special:Preferences shows MediaWiki:savedprefs when the user changes his preferences). The only indication is a new entry in the log which appears at the bottom of the page.

This was requested by @FcoLeonSaudanha at
https://pt.wikipedia.org/w/index.php?diff=42672042#Especial:Privil.C3.A9gios

Event Timeline

He7d3r created this task.Jun 22 2015, 3:46 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2015, 3:46 PM
Teles added a subscriber: Teles.Jun 22 2015, 7:43 PM

Scrolling down the page and checking rights log is enough IMO.

Adding such a message would make it consistent with Special:Revisiondelete and Special:Preferences, in that there is some confirmation on the top of the page for any successful/failed action. And consistency is good for users.

Aklapper triaged this task as Low priority.Jun 30 2015, 2:43 PM
He7d3r updated the task description. (Show Details)Jul 12 2015, 2:21 PM
He7d3r set Security to None.
He7d3r added a subscriber: FcoLeonSaudanha.
Florian claimed this task.Oct 9 2015, 9:38 PM

Change 244811 had a related patch set uploaded (by Florianschmidtwelzow):
Show a confirmation message on Special:UserRights

https://gerrit.wikimedia.org/r/244811

Change 244811 merged by jenkins-bot:
Show a confirmation message on Special:UserRights

https://gerrit.wikimedia.org/r/244811

Florian closed this task as Resolved.Oct 14 2015, 10:13 AM